cancel
Showing results for 
Search instead for 
Did you mean: 
Reply
Jim00R
Ctrl-Alt-Del
Posts: 10
Registered: ‎02-14-2014
Location: US
Views: 288
Message 1 of 5

New vulnerability Update needed !

affects all Android devices running Nougat (version 7), Oreo (version 8), and Pie (version 9). Google rolled out a security update on July 5 that patches the exploit,

 

Any chance we can move on beyond Feb 2019 w/z2play security updates / Unlocked Z2PLAY bought here .. 

farsiray
Token Ring
Posts: 180
Registered: ‎07-28-2017
Location: GB
Views: 221
Message 2 of 5

Re: New vulnerability Update needed !

lol. just received the june security patch. 

between february and end of july is 6 months... so maybe by the end of 2019 we get your requested patch. lol. not funny.


@Jim00R wrote:

affects all Android devices running Nougat (version 7), Oreo (version 8), and Pie (version 9). Google rolled out a security update on July 5 that patches the exploit,

 

Any chance we can move on beyond Feb 2019 w/z2play security updates / Unlocked Z2PLAY bought here .. 


 

Senior MotoAgent
Senior MotoAgent
Posts: 6,309
Registered: ‎03-05-2018
Location: US
Views: 214
Message 3 of 5

Re: New vulnerability Update needed !

Hi Jim00R,

 

Thanks for the post. Motorola is committed to implementing essential security patches. As new security issues emerge, we will evaluate them and update your phone as needed. Moto Z2 Play is scheduled to receive security updates, please see the website - link.

 

Best regards,
Rich
Motorola-Lenovo Support

Highlighted
Strongit1
Paper Tape
Posts: 2
Registered: ‎11-11-2018
Location: CA
Views: 139
Message 4 of 5

Re: New vulnerability Update needed !

Rich, I understand this isn't your fault but I think Motorola is missing one of the most important parts about security patches.  They need to be implemented on a timely basis.  Post sale updates and OS rollouts have been anything but with this company.  It's now August and I only just received the June security update.

 

Now I understand the need to test updates for compatibility and ensure that they are essential.  I have worked in IT for over a decade and was directly responsible for testing and rolling out security patches for a company of 10,000 people.  We had over two dozen different models of PCs to support between tablets, laptops and desktop PCs.  Do you know how long it took to test and rollout the monthly security patches for Windows for the entire company?

 

Two weeks.

 

Two weeks, every month.  That included testing, test group rollouts, follow ups and production rollouts.  This blatant lack of updates and communication is irresponsible and, frankly, appalling.  I would understand if it happened once in a while but this happens constantly; I've owned a G2, G3, G4 plus and my current phone the Z2 play and it has happened to all of them.  Late security updates.  No OS upgrades, even when it was promised.

 

I'm done.  I've tried to remain loyal since you use stock android with only a couple extra apps but I'm done.

smb5769
SCSI Port
Posts: 127
Registered: ‎06-25-2014
Location: US
Views: 81
Message 5 of 5

Re: New vulnerability Update needed !

I'm seriously thinking about jumping ship too. Updates are one issue, but they are minor compared to what I've just read about the new z4. I can't spend 500 dollars on a phone just to have the display crack after a small drop, then have to deal with confused customer service? One guy says that it's covered by warranty, the other says it's not, and got kinda smartaleck with the customer. Nope. That's a deal breaker.
Top Kudoed Authors